## libkf5libkdepim 18.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.9.3")

project(libkdepim VERSION ${PIM_VERSION})

set(KF5_VERSION "5.47.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(LIBRARY_NAMELINK)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMCoverageOption)

set(LIBKDEPIM_LIB_VERSION ${PIM_VERSION})
set(AKONADICONTACT_LIB_VERSION "5.9.3")
set(QT_REQUIRED_VERSION "5.9.0")
set(KLDAP_LIB_VERSION "5.9.3")
set(KCONTACTS_LIB_VERSION "5.9.3")
set(AKONADISEARCH_LIB_VERSION "5.9.3")
set(AKONADI_VERSION "5.9.3")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test DBus Network)

find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Completion ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ItemViews ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5JobWidgets ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KCMUtils ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Wallet ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Ldap ${KLDAP_LIB_VERSION} CONFIG REQUIRED)

find_package(KF5AkonadiSearch ${AKONADISEARCH_LIB_VERSION} CONFIG REQUIRED)
set_package_properties(KF5AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "http://www.kde.org" TYPE REQUIRED PURPOSE "Provides search capabilities in KMail and Akonadi")


find_package(KF5DesignerPlugin ${KF5_VERSION} CONFIG)
set_package_properties(KF5DesignerPlugin PROPERTIES DESCRIPTION "KF5 designer plugin" TYPE OPTIONAL)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Libkdepim")


configure_package_config_file(MailTransportDBusServiceConfig.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/MailTransportDBusServiceConfig.cmake
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_PREFIX}/MailTransportDBusService")

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/MailTransportDBusServiceConfig.cmake
  DESTINATION "${CMAKECONFIG_INSTALL_PREFIX}/MailTransportDBusService")


add_subdirectory(src)

install( FILES libkdepim.categories libkdepim.renamecategories DESTINATION ${KDE_INSTALL_CONFDIR} )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libkdepim\")
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()

add_subdirectory(libkdepim)
add_subdirectory(libkdepimakonadi)

=== debian/changelog ===
libkf5libkdepim (4:18.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update symbols from buildds for 4:18.08.3

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Feb 2019 21:07:55 +0100

libkf5libkdepim (4:18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.3.0 (No changes needed).
  * Removed acc autopkgtest.
  * Removed testsuite autopkgtest.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 16:00:58 +0100

libkf5libkdepim (4:18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:19:20 +0200

libkf5libkdepim (4:18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Sat, 18 Aug 2018 11:49:54 +0200

libkf5libkdepim (4:17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * Update symbols from buildds for 4:17.12.2
  * bump epoch in symbolsfiles to match version of the package.
  * Update build-deps and deps with the info from cmake.
  * use secure copyright format uri.
  * Use secure uri in d/watch.
  * Don't duplicate 'priority' field in binary package.
  * Update long descriptions.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:27:35 +0200

libkf5libkdepim (4:17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.3 (No changes needed).
  * Update copyright file.
  * Enable build tests (make them non-failing).
  * Update symbols for 17.12.2.
  * Replace Build-Dep kdesignerplugin with kgendesignerplugin.
  * Bump debhelper build-dep and compat to 11.
  * Mark libkf5akonadisocialutils-dev as oldlibs/optional.
  * Remove circular dependecy between libkf5libkdepim-plugins and
    libkf5libkdepimakonadi5.
  * Add symbols file.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:15:35 +0100

libkf5libkdepim (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Get rid of unnessary break/replaces of kde-l10n-(ast|eo).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Remove not needed Build-Deps.
  * Add libkf5akonadicontact to Deps of dev (part of public API).
  * Bump debhelper build-dep and compat to 10.
  * Update symbols from buildds for 4:17.08.0
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:59:51 +0100

libkf5libkdepim (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Bump group breaks (17.08)
  * Update copyright file
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:08:37 +0200

libkf5libkdepim (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:41:44 +0000

libkf5libkdepim (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:25:36 +0000

libkf5libkdepim (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:24:20 +0000

libkf5libkdepim (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:25:53 +0000

libkf5libkdepim (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Apr 2017 09:49:58 +0000

libkf5libkdepim (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:50:38 +0000

libkf5libkdepim (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:03:03 +0000

libkf5libkdepim (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:24:32 +0000

libkf5libkdepim (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:31:58 +0000

libkf5libkdepim (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:54:30 +0000

libkf5libkdepim (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:41:24 +0000

libkf5libkdepim (4:16.08.1-1~1.gbpcfb174) UNRELEASED; urgency=medium

  ** SNAPSHOT build @cfb174157735bda971f13a46a65231a0bdfcc49a **

  [ Maximiliano Curia ]
  ** SNAPSHOT build @5eb65efa688a5cfadb54392efb46bb974f51f232 **

  * UNRELEASED

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Update build-deps and deps with the info from cmake

 -- Automatic packaging <maxy+jenkins@gnuservers.com.ar>  Thu, 08 Sep 2016 23:12:45 +0200

libkf5libkdepim (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:08:12 +0000

libkf5libkdepim (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:50:27 +0000

libkf5libkdepim (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Aug 2016 12:51:31 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/applications/([\d.]+)/src/libkdepim-([\d.]+).tar.xz

## libkf5libkdepim 18.08.3.1+rb2

=== src/libkdepim/tests/CMakeLists.txt ===
########### next target ###############
set(testldapclient_SRCS testldapclient.cpp)

add_executable(testldapclient ${testldapclient_SRCS})

target_link_libraries(testldapclient KF5::Libkdepim KF5::I18n KF5::Completion KF5::Ldap KF5::CoreAddons)


########### next target ###############
set(testkcheckcomboboxtest_gui_SRCS kcheckcomboboxtest_gui.cpp)

add_executable(kcheckcomboboxtest_gui ${testkcheckcomboboxtest_gui_SRCS})

target_link_libraries(kcheckcomboboxtest_gui KF5::Libkdepim KF5::I18n KF5::Completion KF5::CoreAddons)


########### next target ###############
set(testldapsearchdialog_SRCS ldapsearchdialog_gui.cpp)

add_executable(ldapsearchdialog_gui ${testldapsearchdialog_SRCS})
target_link_libraries(ldapsearchdialog_gui KF5::Libkdepim KF5::I18n KF5::CoreAddons Qt5::Widgets KF5::Contacts)

=== debian/changelog ===
libkf5libkdepim (4:18.08.3.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 26 Jan 2021 20:07:38 +0800

libkf5libkdepim (4:18.08.3.1-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- lichenggang <lichenggang@uniontech.com>  Tue, 26 Jan 2021 19:48:22 +0800

## libkf5libkdepim 18.12.3

=== debian/changelog ===
libkf5libkdepim (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:47:14 +0100

libkf5libkdepim (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:06:45 +0000

libkf5libkdepim (4:18.04.3-0ubuntu2) disco; urgency=medium

  * Follow Debian dropping of autotests.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Feb 2019 07:57:08 +0000

=== debian/control ===
Source: libkf5libkdepim
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:18.12.3~),
               libkf5akonadicontact-dev (>= 4:18.12.3~),
               libkf5akonadisearch-dev (>= 4:18.12.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:18.12.3~),
               libkf5contacts-dev (>= 4:18.12.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5ldap-dev (>= 18.12.3~),
               libkf5mime-dev (>= 18.12.3~),
               libkf5wallet-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdepim
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdepim

Package: libkf5libkdepim5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5Libkdepim
Architecture: any
Multi-Arch: same
Depends: libkf5libkdepim-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5libkdepim-plugins
Description: KDE PIM library
 This is the internal runtime package for applications from the KDE PIM module.
 It contains shared libraries and data which most of KDE PIM applications use.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepimakonadi5
Architecture: any
Multi-Arch: same
Depends: libkf5libkdepim-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5libkdepim-plugins
Description: KDE PIM Akonadi library
 This is the internal runtime package for applications from the KDE PIM module.
 It contains shared libraries and data which most of KDE PIM applications use.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepim-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: kaddressbook (<< 4:16.04),
        libkf5libkdepim5 (<< 4:16.04),
        ${kde-l10n:all}
Replaces: kaddressbook (<< 4:16.04),
          libkf5libkdepim5 (<< 4:16.04),
          ${kde-l10n:all}
Description: KDE PIM library - data files
 This is the internal runtime package for applications from the KDE PIM module.
 It contains data files used by the library.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepim-plugins
Architecture: any
Multi-Arch: same
Depends: libkf5libkdepim-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kaddressbook (<< 4:16.04), libkf5libkdepim5 (<< 4:16.04)
Replaces: kaddressbook (<< 4:16.04), libkf5libkdepim5 (<< 4:16.04)
Description: KDE PIM library - plugins
 This is the internal runtime package for applications from the KDE PIM module.
 It contains plugins that are distributed with the library.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepim-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:18.12.3~),
         libkf5completion-dev (>= 5.31.0~),
         libkf5contacts-dev (>= 4:18.12.3~),
         libkf5coreaddons-dev (>= 5.31.0~),
         libkf5ldap-dev (>= 18.12.3~),
         libkf5libkdepim5abi2 (= ${binary:Version}),
         libkf5libkdepimakonadi5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM library - development files
 This is the internal runtime package for applications from the KDE PIM module.
 It contains headers, and the libraries needed to build some of the KDE PIM
 applications.
 .
 This package is part of the KDE PIM module.

## libkf5libkdepim 19.04.3

=== debian/changelog ===
libkf5libkdepim (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:56:22 +0100

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,19 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:18.12.3~),
-               libkf5akonadicontact-dev (>= 4:18.12.3~),
-               libkf5akonadisearch-dev (>= 4:18.12.3~),
+               libkf5akonadi-dev (>= 4:19.04.3~),
+               libkf5akonadicontact-dev (>= 4:19.04.3~),
+               libkf5akonadisearch-dev (>= 4:19.04.3~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:18.12.3~),
-               libkf5contacts-dev (>= 4:18.12.3~),
+               libkf5contacteditor-dev (>= 4:19.04.3~),
+               libkf5contacts-dev (>= 4:19.04.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5ldap-dev (>= 18.12.3~),
-               libkf5mime-dev (>= 18.12.3~),
+               libkf5ldap-dev (>= 19.04.3~),
+               libkf5mime-dev (>= 19.04.3~),
                libkf5wallet-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
@@ -90,11 +90,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:18.12.3~),
+Depends: libkf5akonadi-dev (>= 4:19.04.3~),
          libkf5completion-dev (>= 5.31.0~),
-         libkf5contacts-dev (>= 4:18.12.3~),
+         libkf5contacts-dev (>= 4:19.04.3~),
          libkf5coreaddons-dev (>= 5.31.0~),
-         libkf5ldap-dev (>= 18.12.3~),
+         libkf5ldap-dev (>= 19.04.3~),
          libkf5libkdepim5abi2 (= ${binary:Version}),
          libkf5libkdepimakonadi5 (= ${binary:Version}),
          qtbase5-dev,

## libkf5libkdepim 19.08.3

=== debian/changelog ===
libkf5libkdepim (4:19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:55:10 +0100

libkf5libkdepim (4:19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Remove breaks against kde-l10n packages.
  * Update install files for new upstream release.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:40:54 +0100

libkf5libkdepim (4:18.08.3-4) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:50:34 +0100

libkf5libkdepim (4:18.08.3-3) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Use virtual packages to bundle KDEPIM.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sun, 06 Oct 2019 22:41:44 +0200

=== debian/control ===
Source: libkf5libkdepim
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               kgendesignerplugin (>= 5.60.0~),
               libkf5akonadi-dev (>= 4:19.08.3~),
               libkf5akonadicontact-dev (>= 4:19.08.3~),
               libkf5akonadisearch-dev (>= 4:19.08.3~),
               libkf5codecs-dev (>= 5.60.0~),
               libkf5completion-dev (>= 5.60.0~),
               libkf5config-dev (>= 5.60.0~),
               libkf5configwidgets-dev (>= 5.60.0~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5coreaddons-dev (>= 5.60.0~),
               libkf5i18n-dev (>= 5.60.0~),
               libkf5iconthemes-dev (>= 5.60.0~),
               libkf5itemviews-dev (>= 5.60.0~),
               libkf5jobwidgets-dev (>= 5.60.0~),
               libkf5kcmutils-dev (>= 5.60.0~),
               libkf5kio-dev (>= 5.60.0~),
               libkf5ldap-dev (>= 19.08.3~),
               libkf5wallet-dev (>= 5.60.0~),
               libkf5widgetsaddons-dev (>= 5.60.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.11.0~),
               qttools5-dev,
               xauth,
               xvfb
Standards-Version: 4.4.1
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkdepim
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkdepim.git

Package: libkf5akonadisocialutils-dev
Depends: ${misc:Depends}
Architecture: all
Section: oldlibs
Description: KDE PIM library - transitional package
 transitional package for libkf5akonadisocialutils, this is to allow
 "libkf5.*-dev" regex to install on Neon.

Package: libkf5libkdepim-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: KDE PIM library - data files
 This is the internal runtime package for applications from the KDE PIM module.
 It contains data files used by the library.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepim-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:19.08.3~),
         libkf5akonadicontact-dev (>= 4:19.08.3~),
         libkf5completion-dev (>= 5.60.0~),
         libkf5contacts-dev (>= 4:19.08.3~),
         libkf5coreaddons-dev (>= 5.60.0~),
         libkf5ldap-dev (>= 19.08.3~),
         libkf5libkdepim5 (= ${binary:Version}),
         libkf5libkdepimakonadi5 (= ${binary:Version}),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM library - development files
 This is the internal runtime package for applications from the KDE PIM module.
 It contains headers, and the libraries needed to build some of the KDE PIM
 applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepim-plugins
Architecture: any
Multi-Arch: same
Depends: libkf5libkdepim-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM library - plugins
 This is the internal runtime package for applications from the KDE PIM module.
 It contains plugins that are distributed with the library.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepim5
Architecture: any
Multi-Arch: same
Depends: libkf5libkdepim-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5libkdepim-plugins
Description: KDE PIM library
 This is the internal runtime package for applications from the KDE PIM module.
 It contains shared libraries and data which most of KDE PIM applications use.
 .
 This package is part of the KDE PIM module and hold the part of libkdepim
 that do not depend on Akonadi.
Provides: ${ABI:VirtualPackage}

Package: libkf5libkdepimakonadi5
Architecture: any
Multi-Arch: same
Depends: libkf5libkdepim-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5libkdepim-plugins
Description: KDE PIM Akonadi library
 This is the internal runtime package for applications from the KDE PIM module.
 It contains shared libraries and data which most of KDE PIM applications use.
 .
 This package is part of the KDE PIM module and hold the part of libkdepim
 that depend on Akonadi.
Provides: ${ABI:VirtualPackage}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

override_dh_shlibdeps:
	$(overridden_command) -- -xlibkf5libkdepim-plugins

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		$(overridden_command) -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done

override_dh_auto_test:
	- xvfb-run -- dh_auto_test --no-parallel

## libkf5libkdepim 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PIM_VERSION "5.13.3")

project(libkdepim VERSION ${PIM_VERSION})

set(KF5_MIN_VERSION "5.63.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(LIBRARY_NAMELINK)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)


set(LIBKDEPIM_LIB_VERSION ${PIM_VERSION})
set(AKONADICONTACT_LIB_VERSION "5.13.3")
set(QT_REQUIRED_VERSION "5.11.0")
set(KLDAP_LIB_VERSION "5.13.3")
set(AKONADISEARCH_LIB_VERSION "5.13.3")
set(AKONADI_VERSION "5.13.3")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test DBus Network)

find_package(KF5Codecs ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Completion ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ItemViews ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5JobWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KCMUtils ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Wallet ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Ldap ${KLDAP_LIB_VERSION} CONFIG REQUIRED)

option(FORCE_DISABLE_AKONADI_SEARCH "Disable features and API that require akonadi-search, e.g. because xapian isn't available" OFF)
if (NOT FORCE_DISABLE_AKONADI_SEARCH)
find_package(KF5AkonadiSearch ${AKONADISEARCH_LIB_VERSION} CONFIG REQUIRED)
set_package_properties(KF5AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "https://www.kde.org" TYPE REQUIRED PURPOSE "Provides search capabilities in KMail and Akonadi")
endif()

set(DISABLE_AKONADI_SEARCH ${FORCE_DISABLE_AKONADI_SEARCH})
configure_file(config-akonadi-search.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/config-akonadi-search.h)

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
endif()

add_definitions(-DQT_NO_FOREACH)
set(CMAKE_CXX_STANDARD 14)
########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Libkdepim")


configure_package_config_file(MailTransportDBusServiceConfig.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/MailTransportDBusServiceConfig.cmake
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_PREFIX}/MailTransportDBusService")

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/MailTransportDBusServiceConfig.cmake
  DESTINATION "${CMAKECONFIG_INSTALL_PREFIX}/MailTransportDBusService")


add_subdirectory(src)

install(FILES libkdepim.categories libkdepim.renamecategories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libkdepim\")

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()

add_subdirectory(libkdepim)
add_subdirectory(libkdepimakonadi)

=== src/libkdepimakonadi/CMakeLists.txt ===
ecm_setup_version(PROJECT VARIABLE_PREFIX LIBKDEPIM
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/libkdepimakonadi_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5LibkdepimAkonadiConfigVersion.cmake"
    SOVERSION 5
    )

if(BUILD_TESTING)
    add_subdirectory(tests)
    if (NOT FORCE_DISABLE_AKONADI_SEARCH)
        add_subdirectory(addressline/blacklistbaloocompletion/autotests)
    endif()
    add_subdirectory(addressline/autotests/)
endif()


if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

set(kdepim_addressline_LIB_SRCS
    addressline/completionorder/completionordereditor.cpp
    addressline/completionorder/completionorderwidget.cpp
    addressline/addresslineedit/addresseelineedit.cpp
    addressline/addresslineedit/addresseelineedit_p.cpp
    addressline/addresslineedit/addresseelineeditmanager.cpp
    addressline/addresslineedit/addresseelineeditldap.cpp
    addressline/addresslineedit/addresseelineeditakonadi.cpp
    addressline/addresslineedit/addresseelineeditbaloo.cpp
    addressline/addresslineedit/kmailcompletion.cpp
    addressline/addresslineedit/baloocompletionemail.cpp
    addressline/completionconfiguredialog/completionconfiguredialog.cpp
    )

if (NOT FORCE_DISABLE_AKONADI_SEARCH)
set(kdepim_addressline_blacklist_baloo_LIB_SRCS
    addressline/blacklistbaloocompletion/blacklistbalooemaillist.cpp
    addressline/blacklistbaloocompletion/blacklistbalooemailutil.cpp
    addressline/blacklistbaloocompletion/blacklistbalooemailcompletionwidget.cpp
    addressline/blacklistbaloocompletion/blacklistbalooemailwarning.cpp
    addressline/blacklistbaloocompletion/blacklistbalooemailsearchjob.cpp
    )
endif()

set(kdepim_addressline_plugin_LIB_SRCS
    addressline/plugins/addressesslineeditabstractplugin.cpp
    addressline/plugins/addressesslineeditpluginmanager.cpp
    )

############ next target ###############
set(kdepimakonadi_progresswidget_LIB_SRCS
    progresswidget/progressmanagerakonadi.cpp
    progresswidget/agentprogressmonitor.cpp
    )

set(kdepim_job_LIB_SRCS
    job/addemailaddressjob.cpp
    job/addcontactjob.cpp
    job/openemailaddressjob.cpp
    job/addemaildisplayjob.cpp
    )

set(kdepimakonadi_widgets_LIB_SRCS
    widgets/tagwidgets.cpp
    widgets/tagselectioncombo.cpp
    )



set(kdepimakonadi_LIB_SRCS
    ${kdepim_job_LIB_SRCS}
    ${kdepimakonadi_widgets_LIB_SRCS}
    ${kdepim_addressline_LIB_SRCS}
    ${kdepim_addressline_blacklist_baloo_LIB_SRCS}
    ${kdepimakonadi_progresswidget_LIB_SRCS}
    ${kdepim_addressline_plugin_LIB_SRCS}
    )


ecm_qt_declare_logging_category(kdepimakonadi_LIB_SRCS HEADER libkdepimakonadi_debug.h IDENTIFIER LIBKDEPIMAKONADI_LOG CATEGORY_NAME org.kde.pim.libkdepimakonadi)


add_library(KF5LibkdepimAkonadi ${kdepimakonadi_LIB_SRCS})
generate_export_header(KF5LibkdepimAkonadi BASE_NAME kdepimakonadi)
add_library(KF5::LibkdepimAkonadi ALIAS KF5LibkdepimAkonadi)
target_include_directories(KF5LibkdepimAkonadi INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/Libkdepim/;${KDE_INSTALL_INCLUDEDIR_KF5}/libkdepim>")
target_include_directories(KF5LibkdepimAkonadi PUBLIC "$<BUILD_INTERFACE:${libkdepim_SOURCE_DIR}/src;${libkdepim_BINARY_DIR}/src;>")



target_link_libraries(KF5LibkdepimAkonadi
    PUBLIC
    KF5::AkonadiCore
    KF5::AkonadiContact
    KF5::Libkdepim
    KF5::Completion
    PRIVATE
    KF5::AkonadiWidgets
    KF5::Ldap
    KF5::Contacts
    KF5::Codecs
    KF5::I18n
    KF5::ItemViews
    KF5::KIOCore
    KF5::KIOWidgets
    Qt5::DBus
    Qt5::Network
    KF5::ConfigWidgets
    )

if(MINGW)
    target_link_libraries(KF5LibkdepimAkonadi PRIVATE oleaut32)
endif()

if (NOT FORCE_DISABLE_AKONADI_SEARCH)
    target_link_libraries(KF5LibkdepimAkonadi PRIVATE KF5::AkonadiSearchPIM)
endif()

set_target_properties(KF5LibkdepimAkonadi PROPERTIES
    VERSION ${LIBKDEPIM_VERSION_STRING}
    SOVERSION ${LIBKDEPIM_SOVERSION}
    EXPORT_NAME LibkdepimAkonadi
    )

install(TARGETS
    KF5LibkdepimAkonadi
    EXPORT KF5LibkdepimAkonadiTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS} ${LIBRARY_NAMELINK}
    )

ecm_generate_headers(libkdepimakonadi_Camelcasewidgets_HEADERS
    HEADER_NAMES
    TagSelectionCombo
    TagWidgets
    REQUIRED_HEADERS libkdepimakonadi_widgets_HEADERS
    PREFIX LibkdepimAkonadi
    RELATIVE widgets
    )

ecm_generate_headers(libkdepimakonadi_Camelcaseprogresswidget_HEADERS
    HEADER_NAMES
    ProgressManagerAkonadi
    REQUIRED_HEADERS libkdepimakonadi_progresswidget_HEADERS
    PREFIX LibkdepimAkonadi
    RELATIVE progresswidget
    )

ecm_generate_headers(libkdepim_Camelcasejob_HEADERS
    HEADER_NAMES
    AddContactJob
    AddEmailAddressJob
    AddEmailDisplayJob
    OpenEmailAddressJob

    REQUIRED_HEADERS libkdepim_job_HEADERS
    PREFIX LibkdepimAkonadi
    RELATIVE job
    )

ecm_generate_headers(libkdepim_Camelcaseaddressline_HEADERS
    HEADER_NAMES
    AddresseeLineEdit
    REQUIRED_HEADERS libkdepim_addressline_HEADERS
    PREFIX LibkdepimAkonadi
    RELATIVE addressline/addresslineedit/
    )

ecm_generate_headers(libkdepim_Camelcasecompletionorder_HEADERS
    HEADER_NAMES
    CompletionOrderEditor
    REQUIRED_HEADERS libkdepim_completionorder_HEADERS
    PREFIX LibkdepimAkonadi
    RELATIVE addressline/completionorder
    )

ecm_generate_headers(libkdepim_Camelcasecompletionconfiguredialog_HEADERS
    HEADER_NAMES
    CompletionConfigureDialog
    REQUIRED_HEADERS libkdepim_completionconfiguredialog_HEADERS
    PREFIX LibkdepimAkonadi
    RELATIVE addressline/completionconfiguredialog/
    )

ecm_generate_pri_file(BASE_NAME LibkdepimAkonadi
    LIB_NAME KF5LibkdepimAkonadi
    DEPS "AkonadiCore AkonadiContact Libkdepim" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/LibkdepimAkonadi
    )

install(FILES
    ${libkdepim_Camelcasecompletionconfiguredialog_HEADERS}
    ${libkdepim_Camelcasecompletionorder_HEADERS}
    ${libkdepimakonadi_Camelcaseprogresswidget_HEADERS}
    ${libkdepimakonadi_Camelcasewidgets_HEADERS}
    ${libkdepim_Camelcasejob_HEADERS}
    ${libkdepim_Camelcaseaddressline_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/LibkdepimAkonadi
    COMPONENT Devel
    )

install(FILES
    ${libkdepim_completionconfiguredialog_HEADERS}
    ${libkdepim_completionorder_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kdepimakonadi_export.h
    ${libkdepimakonadi_progresswidget_HEADERS}
    ${libkdepimakonadi_widgets_HEADERS}
    ${libkdepim_job_HEADERS}
    ${libkdepim_addressline_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/libkdepimakonadi
    COMPONENT Devel
    )

install(FILES
    ${PRI_FILENAME}
    DESTINATION ${ECM_MKSPECS_INSTALL_DIR})


set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5LibkdepimAkonadi")

install(EXPORT KF5LibkdepimAkonadiTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5LibkdepimAkonadiTargets.cmake NAMESPACE KF5::)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5LibkdepimAkonadiConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5LibkdepimAkonadiConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5LibkdepimAkonadiConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5LibkdepimAkonadiConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )


install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/libkdepimakonadi_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
    )

=== src/libkdepim/designer/CMakeLists.txt ===
include(ECMAddQtDesignerPlugin)
ecm_qtdesignerplugin_widget(KPIM::KCheckComboBox
    INCLUDE_FILE "Libkdepim/KCheckComboBox"
    TOOLTIP "Combobox with checkable items (KDE-PIM)"
    WHATSTHIS "A combobox that allows the user to check the items in the drop down menu"
    GROUP "Input (KDE-PIM)"
    )

ecm_add_qtdesignerplugin(kdepimwidgets
    NAME KDEPimWidgets
    OUTPUT_NAME kdepimwidgets
    WIDGETS
    KPIM::KCheckComboBox
    LINK_LIBRARIES
    KF5::Libkdepim
    KF5::Completion
    INSTALL_DESTINATION "${KDE_INSTALL_QTPLUGINDIR}/designer"
    COMPONENT Devel
    )

=== src/libkdepim/progresswidget/tests/CMakeLists.txt ===
set(statusbarprogresswidgetgui_SRCS statusbarprogresswidget_gui.cpp)
add_executable(statusbarprogresswidgetgui ${statusbarprogresswidgetgui_SRCS})
target_link_libraries(statusbarprogresswidgetgui
  Qt5::Widgets
  Qt5::Core
  KF5::I18n
  KF5::Libkdepim
)

=== debian/changelog ===
libkf5libkdepim (4:19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories files to new location.
  * New upstream release (19.12.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:59:40 +0100

libkf5libkdepim (4:19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:16:38 +0100

=== debian/control ===
Source: libkf5libkdepim
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:19.12.3~),
               libkf5akonadicontact-dev (>= 4:19.12.3~),
               libkf5akonadisearch-dev (>= 4:19.12.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:19.12.3~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5ldap-dev (>= 19.12.3~),
               libkf5mime-dev (>= 19.12.3~),
               libkf5wallet-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdepim
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdepim

Package: libkf5libkdepim-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: kaddressbook (<< 4:16.04),
        libkf5libkdepim5 (<< 4:16.04),
        ${kde-l10n:all},
Replaces: kaddressbook (<< 4:16.04),
          libkf5libkdepim5 (<< 4:16.04),
          ${kde-l10n:all},
Description: KDE PIM library - data files
 This is the internal runtime package for applications from the KDE PIM module.
 It contains data files used by the library.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepim-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:19.12.3~),
         libkf5completion-dev (>= 5.31.0~),
         libkf5contacts-dev (>= 4:19.08.3~),
         libkf5coreaddons-dev (>= 5.31.0~),
         libkf5ldap-dev (>= 19.12.3~),
         libkf5libkdepim5abi2 (= ${binary:Version}),
         libkf5libkdepimakonadi5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM library - development files
 This is the internal runtime package for applications from the KDE PIM module.
 It contains headers, and the libraries needed to build some of the KDE PIM
 applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepim-plugins
Architecture: any
Multi-Arch: same
Depends: libkf5libkdepim-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kaddressbook (<< 4:16.04), libkf5libkdepim5 (<< 4:16.04)
Replaces: kaddressbook (<< 4:16.04), libkf5libkdepim5 (<< 4:16.04)
Description: KDE PIM library - plugins
 This is the internal runtime package for applications from the KDE PIM module.
 It contains plugins that are distributed with the library.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepim5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5Libkdepim
Architecture: any
Multi-Arch: same
Depends: libkf5libkdepim-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5libkdepim-plugins
Description: KDE PIM library
 This is the internal runtime package for applications from the KDE PIM module.
 It contains shared libraries and data which most of KDE PIM applications use.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepimakonadi5
Architecture: any
Multi-Arch: same
Depends: libkf5libkdepim-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5libkdepim-plugins
Description: KDE PIM Akonadi library
 This is the internal runtime package for applications from the KDE PIM module.
 It contains shared libraries and data which most of KDE PIM applications use.
 .
 This package is part of the KDE PIM module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libkdepim-([\d.]+).tar.xz

## libkf5libkdepim 20.08.1

=== debian/changelog ===
libkf5libkdepim (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:01:05 +0100

libkf5libkdepim (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Drop package libkf5libkdepimakonadi5. Moved to pimcommon.
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:21:54 +0100

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,19 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:19.12.3~),
-               libkf5akonadicontact-dev (>= 4:19.12.3~),
-               libkf5akonadisearch-dev (>= 4:19.12.3~),
+               libkf5akonadi-dev (>= 4:20.08.1~),
+               libkf5akonadicontact-dev (>= 4:20.08.1~),
+               libkf5akonadisearch-dev (>= 4:20.08.1~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:19.12.3~),
+               libkf5contacteditor-dev (>= 4:20.08.1~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5ldap-dev (>= 19.12.3~),
-               libkf5mime-dev (>= 19.12.3~),
+               libkf5ldap-dev (>= 20.08.1~),
+               libkf5mime-dev (>= 20.08.1~),
                libkf5wallet-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
@@ -48,13 +48,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:19.12.3~),
+Depends: libkf5akonadi-dev (>= 4:20.08.1~),
          libkf5completion-dev (>= 5.31.0~),
          libkf5contacts-dev (>= 4:19.08.3~),
          libkf5coreaddons-dev (>= 5.31.0~),
-         libkf5ldap-dev (>= 19.12.3~),
+         libkf5ldap-dev (>= 20.08.1~),
          libkf5libkdepim5abi2 (= ${binary:Version}),
-         libkf5libkdepimakonadi5 (= ${binary:Version}),
          qtbase5-dev,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -93,16 +92,3 @@
  It contains shared libraries and data which most of KDE PIM applications use.
  .
  This package is part of the KDE PIM module.
-
-Package: libkf5libkdepimakonadi5
-Architecture: any
-Multi-Arch: same
-Depends: libkf5libkdepim-data (>= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Recommends: libkf5libkdepim-plugins
-Description: KDE PIM Akonadi library
- This is the internal runtime package for applications from the KDE PIM module.
- It contains shared libraries and data which most of KDE PIM applications use.
- .
- This package is part of the KDE PIM module.
